# SynxFlow: Synergising High-Performance Hazard Simulation with Data Flow

## What the software can do

This software can dynamically simulate flood inundation, landslides runout and debris flows using multiple CUDA-enabled GPUs. It also offers an user-friendly yet versatile Python interface that can be fully integrated into data science workflows, aiming to streamline and accelerate hazard risk assessment tasks.

## Using the model

For how to install and use the model, please visit [here](https://synxflow.readthedocs.io)

## Running the model on Google Colab

The tutorials can also run on Google Colab by using one of the following links

[Click me to run a flood simulation](https://colab.research.google.com/drive/1ujrdzuEeFOZ1L_iETmu4G97HiZQpOb2o?usp=sharing)

[Click me to run a debris flow simulation](https://colab.research.google.com/drive/1xz-CqSVJBH_nyFZSRVagRVHZ2dcXiFI-?usp=sharing)


## Acknowledgment
SynxFlow represents our distinct vision for the next generation of tools in this field, aiming to address evolving challenges and user needs with cutting-edge technologies. Our goal is to offer powerful, yet user-friendly tools for research and industrial applications, ensuring broad accessibility and applicability. In this spirit, SynxFlow is committed to being an open-source, community-driven and inclusive project. SynxFlow inherits code from established open-source software such as HiPIMS-CUDA [1] and Pypims [2]. The development of SynxFlow has also benefited from the skills, knowledge, and experience gained by its authors while contributing as main developers to HiPIMS-CUDA and Pypims.

[1] HiPIMS stands for High-Performance Integrated hydrodynamic Modelling System. HiPIMS is an open source flood Modelling suite developed and maintained by Prof Qiuhua Liang and his team in Loughborough University. 

[2] Pypims is a further development of HiPIMS-CUDA to provide a Python interface.
